=== modified file 'drizzled/drizzled.cc'
--- drizzled/drizzled.cc	2011-02-22 00:20:06 +0000
+++ drizzled/drizzled.cc	2011-02-22 06:09:35 +0000
@@ -357,9 +357,6 @@
 
 DRIZZLED_API size_t transaction_message_threshold;
 
-/* Function declarations */
-bool drizzle_rm_tmp_tables();
-
 static void drizzle_init_variables(void);
 static void get_options();
 static void fix_paths();

=== modified file 'drizzled/drizzled.h'
--- drizzled/drizzled.h	2011-02-17 00:14:13 +0000
+++ drizzled/drizzled.h	2011-02-22 06:09:35 +0000
@@ -68,7 +68,6 @@
 passwd *check_user(const char *user);
 void set_user(const char *user, passwd *user_info_arg);
 void clean_up(bool print_message);
-bool drizzle_rm_tmp_tables();
 
 } /* namespace drizzled */
 

=== modified file 'drizzled/internal/my_sys.h'
--- drizzled/internal/my_sys.h	2011-02-17 00:14:13 +0000
+++ drizzled/internal/my_sys.h	2011-02-22 06:09:35 +0000
@@ -269,12 +269,7 @@
 typedef int (*Process_option_func)(void *ctx, const char *group_name,
                                    const char *option);
 
-int handle_default_option(void *in_ctx, const char *group_name,
-                          const char *option);
-
-
-
-	/* Prototypes for mysys and my_func functions */
+/* Prototypes for mysys and my_func functions */
 
 extern int my_copy(const char *from,const char *to,myf MyFlags);
 DRIZZLED_API int my_delete(const char *name,myf MyFlags);

=== modified file 'drizzled/sql_base.h'
--- drizzled/sql_base.h	2011-02-18 11:56:54 +0000
+++ drizzled/sql_base.h	2011-02-22 06:09:35 +0000
@@ -155,6 +155,8 @@
                             db_name, table_name);
 }
 
+bool drizzle_rm_tmp_tables();
+
 } /* namespace drizzled */
 
 #endif /* DRIZZLED_SQL_BASE_H */

=== modified file 'drizzled/thr_lock.cc'
--- drizzled/thr_lock.cc	2011-02-17 00:14:13 +0000
+++ drizzled/thr_lock.cc	2011-02-22 06:09:35 +0000
@@ -91,8 +91,6 @@
 
 uint64_t max_write_lock_count= UINT64_MAX;
 
-void thr_multi_unlock(THR_LOCK_DATA **data,uint32_t count);
-
 /*
 ** For the future (now the thread specific cond is alloced by my_pthread.c)
 */

=== modified file 'plugin/innobase/handler/ha_innodb.cc'
--- plugin/innobase/handler/ha_innodb.cc	2011-02-15 20:03:56 +0000
+++ plugin/innobase/handler/ha_innodb.cc	2011-02-22 06:09:35 +0000
@@ -8787,16 +8787,6 @@
 finds charset information and returns length of prefix_len characters in the
 index field in bytes.
 @return number of bytes occupied by the first n characters */
-UNIV_INTERN
-ulint
-innobase_get_at_most_n_mbchars(
-/*===========================*/
-  ulint charset_id, /*!< in: character set id */
-  ulint prefix_len, /*!< in: prefix length in bytes of the index
-        (this has to be divided by mbmaxlen to get the
-        number of CHARACTERS n in the prefix) */
-  ulint data_len,   /*!< in: length of the string in bytes */
-  const char* str); /*!< in: character string */
 
 ulint
 innobase_get_at_most_n_mbchars(

